ElementPath (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j
Interface ElementPath

public interface ElementPath

This interface is used by `ElementHandler`instances to retrieve information about the current path hierarchy they are to process. It's primary use is to retrieve the current `Element`being processed.

Version:
  $Revision: 1.6 $
Author:
  Dave White

Method Summary
`void` | `addHandler(String path, ElementHandler handler)` Adds the `ElementHandler` to be called when the specified path is encounted.
`Element` | `getCurrent()` DOCUMENT ME!
`Element` | `getElement(int depth)` DOCUMENT ME!
`String` | `getPath()` DOCUMENT ME!
`void` | `removeHandler(String path)` Removes the `ElementHandler` from the event based processor, for the specified path.
`int` | `size()` DOCUMENT ME!

Method Detail

### size

    public int size()

  DOCUMENT ME!

  Returns:
    the number of elements in the path

### getElement

    public Element getElement(int depth)

  DOCUMENT ME!

  Parameters:
    `depth` - DOCUMENT ME!
  Returns:
    the element at the specified depth index, 0 = root element

### getPath

    public String getPath()

  DOCUMENT ME!

  Returns:
    the path as a string

### getCurrent

    public Element getCurrent()

  DOCUMENT ME!

  Returns:
    the current element

### addHandler

    public void addHandler(String path,
                           ElementHandler handler)

  Adds the `ElementHandler` to be called when the specified path is encounted. The path can be either an absolute path (i.e. prefixed with "/") or a relative path (i.e. assummed to be a child of the current path as retrieved by getPath .

  Parameters:
    `path` - is the path to be handled
    `handler` - is the `ElementHandler` to be called by the event based processor.

### removeHandler

    public void removeHandler(String path)

  Removes the `ElementHandler` from the event based processor, for the specified path. The path can be either an absolute path (i.e. prefixed with "/") or a relative path (i.e. assummed to be a child of the current path as retrieved by getPath .

  Parameters:
    `path` - is the path to remove the `ElementHandler` for.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.